Bug 187648 - Read annotation processor configuration from POM
Read annotation processor configuration from POM
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 7.2
Assigned To: Jesse Glick
issues@projects
: PLAN
Depends on: 207107 208286
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 11:40 UTC by Petr Jiricka
Modified: 2012-04-04 10:10 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2010-06-16 11:40:16 UTC
Ant projects have a UI in the project customizer that allows to control enabling/disabling annotation processors during the build and in the editor, and to specify the list of processors to use. It may be useful to have an analogous UI for Maven projects as well. 

See the discussion in bug 181861 for background. Also, bug 184952 is relevant.
Comment 1 Jesse Glick 2010-12-03 18:36:32 UTC
Probably WONTFIX; you can configure this kind of thing in the POM, and we do not try to produce GUI for everything that can be configured in the POM.
Comment 2 Jesse Glick 2011-03-22 15:55:21 UTC
Basic issue is rather that MavenAnnotationProcessingQueryImpl.getAnnotationProcessingOptions ought to read maven-compiler-plugin configuration, but currently does not.
Comment 3 Quality Engineering 2011-09-21 08:03:32 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/078319daef7b
User: Jesse Glick <jglick@netbeans.org>
Log: Starting #187648: turn off AP when an old compiler plugin is in use, or with -proc:none.
Comment 4 Jesse Glick 2012-04-03 19:56:19 UTC
core-main #c8071c492c5e
Comment 5 Quality Engineering 2012-04-04 10:10:08 UTC
Integrated into 'main-golden', will be available in build *201204040400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c8071c492c5e
User: Jesse Glick <jglick@netbeans.org>
Log: #187648: Read annotation processor configuration from POM
Completing by reading -Ak=v processor options.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo